<?php

namespace Seka\Vzdelavanie\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * Class SekcieStoreRequest
 * @package Seka\Vzdelavanie\Http\Requests
 */
class SekcieStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'nazov' => 'required|min:3|max:512',
            'obsah' => 'nullable',
        ];
    }

    /**
     * @return array
     */
    public function messages(): array
    {
        return [
            'nazov.required' => 'Zadajte názov sekcie',
            'nazov.min' => 'Názov sekcie vyžaduje minimálne :min znakov',
            'nazov.max' => 'Názov sekcie dovoľuje maximálne :max znakov',
        ];
    }
}
